locked
Trying to register with public marketplace error with 'Get-AzureStackStampInformation' RRS feed

  • Question

  • When trying to register against public Azure from my ADFS Azure Stack I get the error below.

    Logs can be found at: C:\MASLogs\AzureStack.AzureRegistration.2017-10-12.01-31-23.log  and  \\AzS-ERCS01\c$\maslogs
    An error occurred checking stamp information:
    System.Management.Automation.RemoteException: The term 'Get-AzureStackStampInformation' is not recognized as the name
    of a cmdlet, function, script file, or operable program. Check the spelling of the name, or if a path was included,
    verify that the path is correct and try again.
    At C:\AzureStack-Tools-master\Registration\RegisterWithAzure.psm1:1106 char:5
    +     throw "Logs can be found at: $Global:AzureRegistrationLog  and  \ ...
    +     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        + CategoryInfo          : OperationStopped: (Logs can be fou... and try again.:String) [], RuntimeException
        + FullyQualifiedErrorId : Logs can be found at: C:\MASLogs\AzureStack.AzureRegistration.2017-10-12.01-31-23.log  a
       nd  \\AzS-ERCS01\c$\maslogs
    An error occurred checking stamp information:
        System.Management.Automation.RemoteException: The term 'Get-AzureStackStampInformation' is not recognized as the n
       ame of a cmdlet, function, script file, or operable program. Check the spelling of the name, or if a path was included, verify that the path is correct and try again.

    I have imported all the Azure powershell modules and I am still getting the error above. The 'Get-AzureStackStampInformation' cmdlet is not present on my host hardware but I assume it should be present on AzS-ERCS01?

    Please help?

    Thursday, October 12, 2017 12:36 PM

Answers

  • Thanks Ned,

    I have been trying to install the latest versions 20170928.3 but this time i have been trying to register directly with Azure and i am failing consistantly.

    I will rerun again and go back to ADFS.

    Thanks for your help.

    Wednesday, October 18, 2017 8:29 AM

All replies

  • Stephen,

    Can you confirm what version of Azure Stack you are running?  The newest Azure Registration module is only compatible with the newest release.  I received the same error when trying to run the new module against an older version of ASDK.  You need to be running build 20170928.3.

    -Ned

    • Proposed as answer by Ned1313MVP Thursday, October 12, 2017 7:46 PM
    Thursday, October 12, 2017 7:46 PM
  • Thanks Ned,

    I have been trying to install the latest versions 20170928.3 but this time i have been trying to register directly with Azure and i am failing consistantly.

    I will rerun again and go back to ADFS.

    Thanks for your help.

    Wednesday, October 18, 2017 8:29 AM
  • It would be useful if they kept the old instructions on the register page for those running 20170928.1

    https://docs.microsoft.com/en-us/azure/azure-stack/azure-stack-register

    Wednesday, October 18, 2017 9:18 AM
  • It would be useful if they kept the old instructions on the register page for those running 20170928.1

    https://docs.microsoft.com/en-us/azure/azure-stack/azure-stack-register


    Thanks for the feedback on the documentation, its much appreciated.

    Typically, the documents are updated to include the instructions for the latest build versions.

    --------------------------------------------------------------------------------------------------

    Do click on "Mark as Answer" on the post that helps you, this can be beneficial to other community members.

    Thursday, October 26, 2017 4:36 PM